clear; close all

load all_position_data.mat

% y = [-1 -0.1667 0.1667 1];
y = [-1 -0.5 0.5 1];
x = [0 -1 1 -0];
figure;
subplot(1,2,1)
plot(x*30,y*180,'r+-')
hold all
plot(data_az_all*30,ref_az_all*180,'.','MarkerSize',10)
grid
xlabel('Response azimuth (deg)')
ylabel('Reference azimuth (deg)')
set(gca,'FontSize',15)
xlim([-30 30])
ylim([-180 180])
legend('Proposed remapping function','Position data')

y_remap = ref_az_all*180;
remap_az = 90;
y_remap(y_remap < -remap_az) = mod(abs(y_remap(y_remap < -remap_az)),-remap_az);
y_remap(y_remap > remap_az) = abs(mod(y_remap(y_remap > remap_az),-remap_az));

data_az_all(isnan(y_remap)) = [];
y_remap(isnan(y_remap)) = [];
[r,p] = corr(y_remap, data_az_all)

load all_position_data_5_0.mat

y = [-1 -0.75 0.75 1];
x = [0 -0.75 0.75 -0];
subplot(1,2,2)
plot(x*180,y*180,'r+-')
hold all
plot(data_az_all*180,ref_az_all*180,'.','MarkerSize',10)
grid
xlabel('Response azimuth (deg)')
ylabel('Reference azimuth (deg)')
set(gca,'FontSize',15)
xlim([-180 180])
ylim([-180 180])
legend('Proposed remapping function','Position data')

y_remap = ref_az_all*180;
remap_az = 135;
y_remap(y_remap < -remap_az) = mod(abs(y_remap(y_remap < -remap_az)),-remap_az);
y_remap(y_remap > remap_az) = abs(mod(y_remap(y_remap > remap_az),-remap_az));

data_az_all(isnan(y_remap)) = [];
y_remap(isnan(y_remap)) = [];
[r,p] = corr(y_remap, data_az_all)